## org.apache.mahout.utils
Class ConcatenateVectorsReducer

    java.lang.Object
      org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.IntWritable,VectorWritable,org.apache.hadoop.io.IntWritable,VectorWritable>
          org.apache.mahout.utils.ConcatenateVectorsReducer

    public class ConcatenateVectorsReducer

extends org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.IntWritable,VectorWritable,org.apache.hadoop.io.IntWritable,VectorWritable>

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Reducer
`org.apache.hadoop.mapreduce.Reducer.Context`

Constructor Summary
`ConcatenateVectorsReducer()`

Method Summary
`void` `reduce(org.apache.hadoop.io.IntWritable row, Iterable<VectorWritable> vectorWritableIterable, org.apache.hadoop.mapreduce.Reducer.Context ctx)`
`void` `setup(org.apache.hadoop.mapreduce.Reducer.Context context)`

Methods inherited from class org.apache.hadoop.mapreduce.Reducer
`cleanup, run`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConcatenateVectorsReducer

    public ConcatenateVectorsReducer()

Method Detail

### setup

    public void setup(org.apache.hadoop.mapreduce.Reducer.Context context)
               throws IOException,
                      InterruptedException

  Overrides:
    `setup` in class `org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.IntWritable,VectorWritable,org.apache.hadoop.io.IntWritable,VectorWritable>`
  Throws:
    `IOException`
    `InterruptedException`

### reduce

    public void reduce(org.apache.hadoop.io.IntWritable row,
                       Iterable<VectorWritable> vectorWritableIterable,
                       org.apache.hadoop.mapreduce.Reducer.Context ctx)
                throws IOException,
                       InterruptedException

  Overrides:
    `reduce` in class `org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.IntWritable,VectorWritable,org.apache.hadoop.io.IntWritable,VectorWritable>`
  Throws:
    `IOException`
    `InterruptedException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.